import * as t from '../../shared/estree';
import CodeGen from '../codegen';
/**
 * Generate a function body AST from a template ESTree AST. This function can then be instantiated
 * via `new Function(code, modules)` The generated function retrieves receives the dependent LWC
 * components as arguments and returns the template function.
 *
 * @example
 * ```js
 * const {
 *   // Components names
 * } = modules;
 *
 * function tmpl() {
 *   // Template generated code
 * }
 * // Template metadata
 *
 * return tmpl;
 * ```
 */
export declare function format(templateFn: t.FunctionDeclaration, codeGen: CodeGen): t.Program;
