import { TemplateIdentifier, TemplateExpression, IRNode, IRText, IRElement, HTMLElement, HTMLText, HTMLComment, IRComment } from './types';
export declare function createElement(original: HTMLElement, parent?: IRElement): IRElement;
export declare function createText(original: HTMLText, parent: IRElement, value: string | TemplateExpression): IRText;
export declare function createComment(original: HTMLComment, parent: IRElement, value: string): IRComment;
export declare function isElement(node: IRNode): node is IRElement;
export declare function isTextNode(node: IRNode): node is IRText;
export declare function isCommentNode(node: IRNode): node is IRComment;
export declare function isCustomElement(node: IRNode): boolean;
export declare function isTemplate(element: IRElement): boolean;
export declare function isSlot(element: IRElement): boolean;
export declare function isComponentProp(identifier: TemplateIdentifier, root: IRNode): boolean;
