import { NormalizedConfig } from './config';
import { BaseElement } from './shared/types';
export default class State {
    config: NormalizedConfig;
    /**
     * Look up custom renderer config by tag name.
     */
    crElmToConfigMap: {
        [tagName: string]: {
            namespace: string | undefined;
            attributes: Set<string>;
        };
    };
    /**
     * Look up for directives that require custom renderer
     */
    crDirectives: Set<string>;
    /**
     * Cache the result of elements that have already been checked if they require custom renderer
     */
    crCheckedElements: Map<BaseElement, boolean>;
    constructor(config: NormalizedConfig);
}
